Skip to main content
POST
/
api
/
charge_cards
Create a charge card
curl --request POST \
  --url https://clarus-api.com/api/charge_cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "charge_cards",
    "attributes": {
      "code": "STANDARD",
      "name": "Standard Card"
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "charge_cards",
    "attributes": {
      "active": true,
      "code": "STANDARD",
      "description": "Standard billing profile",
      "id": 1,
      "name": "Standard Card"
    }
  }
}

Request Structure

{
  "data": {
    "type": "charge_cards",
    "attributes": {
      "code": "STANDARD",
      "name": "Standard Card",
      "description": "Standard billing profile"
    }
  }
}

Required Fields

FieldDescription
codeUnique code for the charge card (1-30 chars)
nameDisplay name for the charge card (max 50 chars)

Optional Fields

FieldDescription
activeWhether the charge card is active (defaults to true)
descriptionDescription of the billing profile

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Charge Card created successfully

data
object